Last Comment Bug 587463 - Drop support for HTMLDelElement and HTMLInsElement
: Drop support for HTMLDelElement and HTMLInsElement
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: :Ms2ger
:
Mentors:
Depends on:
Blocks: 450112
  Show dependency treegraph
 
Reported: 2010-08-15 08:35 PDT by :Ms2ger
Modified: 2011-08-04 11:39 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (14.97 KB, patch)
2010-08-15 08:35 PDT, :Ms2ger
jonas: review+
benjamin: approval2.0-
Details | Diff | Review

Description :Ms2ger 2010-08-15 08:35:01 PDT
Created attachment 466111 [details] [diff] [review]
Patch v1

No other browser supports these interfaces and they were dropped from DOM1 between July and August '98. I don't think we should keep supporting those. (If nothing else, it simplifies some of our code.)
Comment 1 Jonas Sicking (:sicking) 2010-08-16 01:24:03 PDT
Comment on attachment 466111 [details] [diff] [review]
Patch v1

Thanks!
Comment 2 :Ms2ger 2010-08-16 04:24:41 PDT
Comment on attachment 466111 [details] [diff] [review]
Patch v1

Thank you!
Comment 3 Benjamin Smedberg [:bsmedberg] 2010-08-18 08:53:49 PDT
Comment on attachment 466111 [details] [diff] [review]
Patch v1

Please wait until after we branch.
Comment 4 Boris Zbarsky [:bz] 2011-03-30 10:01:55 PDT
This doesn't apply on tip.
Comment 5 :Ehsan Akhgari (busy, don't ask for review please) 2011-04-12 18:05:07 PDT
This doesn't apply cleanly any more.
Comment 7 Eric Shepherd [:sheppy] 2011-08-04 11:39:31 PDT
Neither of these interfaces was mentioned anywhere on MDN, so a simple note on Firefox 7 for developers is all we needed; done.

Note You need to log in before you can comment on or make changes to this bug.